Module org.hsqldb
Package org.hsqldb.util

## Class MainInvoker

- java.lang.Object
- - org.hsqldb.util.MainInvoker

-     public class MainInvoker
      extends java.lang.Object

  Invokes the static main(String[]) method from each class specified. This class will System.exit() if any invocation fails.
  Since:
    HSQLDB 1.8.0
  Author:
    Blaine Simpson (blaine dot simpson at admc dot com)

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `LS` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MainInvoker()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `invoke​(java.lang.String className, java.lang.String[] args)` | Invokes the static main(String[]) method from each specified class.
    `static void` | `main​(java.lang.String[] sa)` | Invokes the static main(String[]) method from each specified class.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LS

          public static final java.lang.String LS

  - ### Constructor Detail

    - #### MainInvoker

          public MainInvoker()

  - ### Method Detail

    - #### main

          public static void main​(java.lang.String[] sa)

      Invokes the static main(String[]) method from each specified class. This method will System.exit() if any invocation fails. Note that multiple class invocations are delimited by empty-string parameters. How the user supplies these empty strings is determined entirely by the caller's environment. From Windows this can generally be accomplished with double-quotes like "". From all popular UNIX shells, this can be accomplished with single or double-quotes: '' or "".
      Parameters:
        `sa` - Run java org.hsqldb.util.MainInvoker --help for syntax help

    - #### invoke

          public static void invoke​(java.lang.String className,
                                    java.lang.String[] args)
                             throws java.lang.ClassNotFoundException,
                                    java.lang.NoSuchMethodException,
                                    java.lang.IllegalAccessException,
                                    java.lang.reflect.InvocationTargetException

      Invokes the static main(String[]) method from each specified class.
      Parameters:
        `className` - String
        `args` - String[]
      Throws:
        `java.lang.ClassNotFoundException` - if not found
        `java.lang.NoSuchMethodException` - if not found
        `java.lang.IllegalAccessException` - on no access
        `java.lang.reflect.InvocationTargetException` - on invocation failure